function BarProfilerCreateProfile(ProfileName, CreatePosition)
	local key
	local value
	local test2
	if ProfileName == "" then
		test2 = 1
	end
	local test, test1 = string.find(ProfileName, "%s")
	if test == 1 or test1 == 1 or test2 == 1 then
		BarProfiler:Print ("Error - Invalid Profile Name ", ProfileName)
		return 1
	end
	if BarProfilerDb.Realms[BarProfilerDb.CurrentRealm].Characters[BarProfilerDb.CurrentCharacter].Profiles[ProfileName] ~= nil then
		BarProfiler:Print ("Error - That Profile name is already being used")
		return 1
	end
	if CreatePosition == nil then
		table.insert (BarProfilerDb.Realms[BarProfilerDb.CurrentRealm].Characters[BarProfilerDb.CurrentCharacter].ProfileList, ProfileName)
		BarProfiler:Print("Profile", ProfileName, "created successfully")
	else
		table.insert (BarProfilerDb.Realms[BarProfilerDb.CurrentRealm].Characters[BarProfilerDb.CurrentCharacter].ProfileList, CreatePosition, ProfileName)
	end
	BarProfilerDb.Realms[BarProfilerDb.CurrentRealm].Characters[BarProfilerDb.CurrentCharacter].Profiles[ProfileName] = {}
	for CreateSlotsLoop = 1, 120 do
		BarProfilerDb.Realms[BarProfilerDb.CurrentRealm].Characters[BarProfilerDb.CurrentCharacter].Profiles[ProfileName][CreateSlotsLoop] = {}
	end
end
function BarProfilerDeleteProfile(PrintCheck)
	local DeleteName = BarProfilerDb.Realms[BarProfilerDb.CurrentRealm].Characters[BarProfilerDb.CurrentCharacter].ProfileList[BarProfilerDb.SelectedProfile]
	--print (DeleteName)
	BarProfilerDb.Realms[BarProfilerDb.CurrentRealm].Characters[BarProfilerDb.CurrentCharacter].Profiles[DeleteName] = nil	
	table.remove(BarProfilerDb.Realms[BarProfilerDb.CurrentRealm].Characters[BarProfilerDb.CurrentCharacter].ProfileList, BarProfilerDb.SelectedProfile)
	if PrintCheck == nil then
		BarProfiler:Print ("Profile", DeleteName, "deleted successfully")
	end
	BarProfilerDb.SelectedProfile = nil
end
function BarProfilerRenameProfile(NewProfileName, Silent)
	local CreatePosition = BarProfilerDb.SelectedProfile + 1
	local error = BarProfilerCreateProfile (NewProfileName, CreatePosition)
	if error == 1 then
		return
	end
	local OldProfileName = BarProfilerDb.Realms[BarProfilerDb.CurrentRealm].Characters[BarProfilerDb.CurrentCharacter].ProfileList[BarProfilerDb.SelectedProfile]
	BarProfilerDb.Realms[BarProfilerDb.CurrentRealm].Characters[BarProfilerDb.CurrentCharacter].Profiles[NewProfileName] = BarProfilerDb.Realms[BarProfilerDb.CurrentRealm].Characters[BarProfilerDb.CurrentCharacter].Profiles[OldProfileName]
	BarProfilerDeleteProfile(true)
	if Silent == false then
		BarProfiler:Print ("Profile", OldProfileName, "renamed to", NewProfileName)
	end
end