function BarProfilerGuiSettingsTab()
	BarProfilerMinimapToggle = BarProfilerGui:Create("CheckBox")
		BarProfilerMinimapToggle:SetLabel("Hide Minimap Button")
		BarProfilerMinimapToggle:SetCallback("OnValueChanged", 	function(widget, event, Value) BarProfilerMinimapToggleHandler(Value) end)
		BarProfilerMinimapToggle:SetValue(BarProfilerDb.Minimap.Hide)
		BarProfilerTabGroup:AddChild(BarProfilerMinimapToggle)
		
	BarProfilerWarningToggle = BarProfilerGui:Create("CheckBox")
		BarProfilerWarningToggle:SetLabel("Disable Warning Message")
		BarProfilerWarningToggle:SetCallback("OnValueChanged", 	function(widget, event, Value) BarProfilerHideWarnings(widget, event, Value) end)
		BarProfilerWarningToggle:SetValue(BarProfilerDb.GUI.HideWarnings)
		BarProfilerTabGroup:AddChild(BarProfilerWarningToggle)
		
--	BarProfilerProfantiyFix = BarProfilerGui:Create("CheckBox")
--		BarProfilerProfantiyFix:SetLabel("Fix: Disable Profanity Filter")
--		BarProfilerProfantiyFix:SetCallback("OnValueChanged", 	function(widget, event, Value) BarProfilerFitlerProfanity(widget, event, Value) end)
--		BarProfilerProfantiyFix:SetValue(BarProfilerDb.DisableFilter)
--		BarProfilerTabGroup:AddChild(BarProfilerProfantiyFix)
end
function BarProfilerMinimapToggleHandler(Value)
	BarProfilerDb.Minimap.Hide = Value
	if BarProfilerDb.Minimap.Hide == true then
		BarProfilerIcon:Hide("BarProfilerIconLabel")
	else
		BarProfilerIcon:Show("BarProfilerIconLabel")
	end
end
function BarProfilerHideWarnings(widget, event, Value)
	BarProfilerDb.GUI.HideWarnings = Value
end
--function BarProfilerFitlerProfanity(widget, event, Value)
--	BarProfilerDb.DisableFilter = Value
--	if BarProfilerDb.DisableFilter == true then
--		SetCVar("profanityFilter", 0)
--	else
--		SetCVar("profanityFilter", 1)
--	end
--end